Name:        lekton-nerd-fonts
Version:     3.3.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Lekton.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 LektonNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/LektonNerdFont-Bold.ttf
install -Dm644 LektonNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/LektonNerdFontMono-Bold.ttf
install -Dm644 LektonNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/LektonNerdFontPropo-Bold.ttf
install -Dm644 LektonNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LektonNerdFont-Italic.ttf
install -Dm644 LektonNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LektonNerdFontMono-Italic.ttf
install -Dm644 LektonNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LektonNerdFontPropo-Italic.ttf
install -Dm644 LektonNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/LektonNerdFont-Regular.ttf
install -Dm644 LektonNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/LektonNerdFontMono-Regular.ttf
install -Dm644 LektonNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/LektonNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/LektonNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/LektonNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/LektonNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/LektonNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/LektonNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/LektonNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/LektonNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/LektonNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/LektonNerdFontPropo-Regular.ttf
%license "SIL Open Font License.txt"
%doc "README.md"

%changelog
* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
